package com.kmall.admin.service;

import com.kmall.admin.entity.ExportExceptionDataEntity;

import java.util.List;
import java.util.Map;

/**
 * 数据导入异常数据记录Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-12-07 09:41:15
 */
public interface ExportExceptionDataService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    ExportExceptionDataEntity queryObject(Integer id);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<ExportExceptionDataEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param exportExceptionData 实体
     * @return 保存条数
     */
    int save(ExportExceptionDataEntity exportExceptionData);

    /**
     * 根据主键更新实体
     *
     * @param exportExceptionData 实体
     * @return 更新条数
     */
    int update(ExportExceptionDataEntity exportExceptionData);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Integer id);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Integer[] ids);
}
